Bug 43548 - xml schema for tomcat-users.xml
xml schema for tomcat-users.xml
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
6.0.14
All All
: P2 enhancement with 1 vote (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-10-04 02:18 UTC by Thomas Wabner
Modified: 2014-10-03 14:23 UTC (History)
0 users



Attachments
Added a DTD import header in tomcat-users.xml (438 bytes, patch)
2009-06-05 16:31 UTC, Olivier Croisier
Details | Diff
A proposed tomcat-users DTD (170 bytes, application/octet-stream)
2009-06-05 16:32 UTC, Olivier Croisier
Details
Enhances & replaces the previous tomcat-users patch. Both lines relating to the (obsolete) role tags have been deleted, and now both tomcat-users_1.xml and tomcat-users_2.xml files are impacted too (1.65 KB, patch)
2009-06-29 14:17 UTC, Olivier Croisier
Details | Diff
A proposed tomcat-users DTD. Replaces the previously submitted one. Apache licence header added. (1.14 KB, patch)
2009-06-29 14:18 UTC, Olivier Croisier
Details | Diff
Corrected the manager webapp's 401 page, where tomcat-users.xml 's role tag was still mentioned. (430 bytes, patch)
2009-06-29 14:20 UTC, Olivier Croisier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Wabner 2007-10-04 02:18:18 UTC
It would be nice and very helpful to have a xml schema (or old DTD) reference
included in the tomcat-users.xml file.

Tomcat 6.0.14 comes with a default empty tomcat-users.xml file and have no xml
schema reference set for this xml file. So you have to read documentation, look
into older releases and so on to find out what fields required/allowed to create
a valid tomcat-users.xml file.

Especially for a new installation of the tomcat 6.0.14 the manager application
will not work without a tomcat-users.xml file which has entries for the manager
role and a user for this role.
Comment 1 Olivier Croisier 2009-06-05 16:31:13 UTC
Created attachment 23766 [details]
Added a DTD import header in tomcat-users.xml
Comment 2 Olivier Croisier 2009-06-05 16:32:12 UTC
Created attachment 23767 [details]
A proposed tomcat-users DTD
Comment 3 Olivier Croisier 2009-06-05 16:34:02 UTC
Here is a patch for the tomcat-users.xml file that adds the DTD import header, and the corresponding DTD file.
Comment 4 Mark Thomas 2009-06-05 16:36:47 UTC
Bugs aren't closed until a patch has been applied to a release branch.
Comment 5 Olivier Croisier 2009-06-05 16:46:18 UTC
(In reply to comment #4)
> Bugs aren't closed until a patch has been applied to a release branch.

Sorry, that was my first patch submission ever (but not the last I hope).
Are there any guidelines available I could read for the patch submission process ?
Comment 6 Mark Thomas 2009-06-05 16:53:10 UTC
No problem. http://www.apache.org/dev/contributors.html is probably the best we have. If you have any questions just ask on the dev list.
Comment 7 Olivier Croisier 2009-06-29 14:17:06 UTC
Created attachment 23902 [details]
Enhances & replaces the previous tomcat-users patch. Both lines relating to the (obsolete) role tags have been deleted, and now both tomcat-users_1.xml and tomcat-users_2.xml files are impacted too
Comment 8 Olivier Croisier 2009-06-29 14:18:53 UTC
Created attachment 23903 [details]
A proposed tomcat-users DTD. Replaces the previously submitted one. Apache licence header added.
Comment 9 Olivier Croisier 2009-06-29 14:20:06 UTC
Created attachment 23904 [details]
Corrected the manager webapp's 401 page, where tomcat-users.xml 's role tag was still mentioned.
Comment 10 Mark Thomas 2014-10-03 14:23:48 UTC
This has been fixed in 8.0.x for 8.0.15 onwards.

The schema can be found in svn here:
http://svn.apache.org/viewvc/tomcat/trunk/conf/tomcat-users.xsd?view=annotate

I do not intend to propose this fix for back-port to 7.0.x or 6.0.x.